{% load transport_utils %}

<form id="{{ filter_form.name }}" class="table-filter unmonitor {{ filter_form.is_bound|yesno:'bound_filter,' }}" method="get"
      action="{{ request.path }}" data-target="#{{ filter_form.name }}_container">
    <table class="table transport_list">
        <tr class="filters">
            <td class="filter_label" colspan="3">Filtrer par:</td>
            <td class="p-0">{{ filter_form.client }}</td><td class="p-0"></td>
            <td class="p-0">{{ filter_form.destination }}</td>
            <td class="p-0">{{ filter_form.chauffeur }}</td>
        </tr>
    </table>
</form>

<div id="{{ filter_form.name }}_container">
{% for date, transpdata in object_list.items %}
    {% if not forloop.first %}</tbody></table></details>{% endif %}
    <details class="transp_group_details"{% if filter_form.is_bound or forloop.first %} open{% endif %}
             {% if not transpdata.transports %}data-url="{% url 'transports-by-status-and-day' view.kwargs.num date|date:'Y-m-d' %}"{% endif %}>
        <summary class="transp_group_date">
            {{ date|date_transp }} ({{  transpdata.len }})
            {% if line_compl == 'confirmer' %}
            <input type="checkbox" class="check_uncheck_all ms-3"
                   title="Cocher/décocher tous les transports de ce jour" data-bs-toggle="tooltip"{% if not forloop.first and not filter_form.is_bound %} hidden{% endif %}>
            {% endif %}
        </summary>
        <table class="table transport_list">
            <thead>
                <tr class="transp_table_header">
                    <th>Date</th><th class="tline_hour">Départ</th><th class="tline_hour">Rdv</th>
                    <th class="tline_hour">Retour</th><th class="tline_client">Client·e</th><th></th>
                    <th>Destination</th><th>Chauffeur</th><th></th>
                </tr>
            </thead>
            <tbody class="transport_body">
            {% for transp in transpdata.transports %}
                {% transport_line transp line_compl %}
            {% endfor %}
    {% if forloop.last %}
            </tbody>
        </table>
    </details>
        {% if line_compl == 'confirmer' %}
        <div>
            <form id="confirmation_form" class="unmonitor" method="post" action="{% url 'transport-confirm' %}">
                {% csrf_token %}
                <button type="submit" class="btn btn-primary">Confirmer les transports sélectionnés</button>
            </form>
        </div>
        {% endif %}
    {% endif %}
{% empty %}<i>Cette liste est actuellement vide.</i>
{% endfor %}
</div>
